Bug 233342 - Review Request: pygoocanvas - GooCanvas python bindings
Review Request: pygoocanvas - GooCanvas python bindings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Package Reviews List
:
Depends On: 233340
Blocks: 239236
  Show dependency treegraph
 
Reported: 2007-03-21 14:33 EDT by Bernard Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-09 20:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Gwyn Ciesla 2007-05-04 10:27:19 EDT
Build fails as advertised in Spec.  Why does this need to his a network resource
to build?  Can it not include a copy of what it needs in the source tarball?

Could this also be updated to 0.8, like goocanvas?  0.8 is available.
Comment 2 Gwyn Ciesla 2007-05-04 10:34:07 EDT
I resource it wants is defined in a file in pygobject, and is available.  Do you
know if this is a bug in pygobject, or is the build for pygoocanvas doing
something incorrectly?
Comment 3 Bernard Johnson 2007-05-04 11:44:14 EDT
(In reply to comment #1)
> Could this also be updated to 0.8, like goocanvas?  0.8 is available.

See reason I posted on bug #233340.


(In reply to comment #2)
> I resource it wants is defined in a file in pygobject, and is available.  Do you
> know if this is a bug in pygobject, or is the build for pygoocanvas doing
> something incorrectly?

It sounds like you're seeing an entirely different error than what I'm seeing. 
My reference was to the docbook compile grabbing URL resources (these can be
included in the srpm I think, but I don't know how yet).

Please paste your error here.

Comment 4 Gwyn Ciesla 2007-05-04 11:50:31 EDT
(./configure, et. al.)
config.status: executing depfiles commands
+ make
make  all-recursive
make[1]: Entering directory `/usr/src/redhat/BUILD/pygoocanvas-0.6.0'
Making all in demo
make[2]: Entering directory `/usr/src/redhat/BUILD/pygoocanvas-0.6.0/demo'
make[2]: Nothing to be done for `all'.
make[2]: Leaving directory `/usr/src/redhat/BUILD/pygoocanvas-0.6.0/demo'
Making all in docs
make[2]: Entering directory `/usr/src/redhat/BUILD/pygoocanvas-0.6.0/docs'
/usr/bin/python -c 'import datetime; print datetime.date.today()' >
reference/builddate.xml
xsltproc --nonet --xinclude -o ../docs/html/ \
                 --path ../docs/reference:./reference \
                 --stringparam gtkdoc.bookname "pygoocanvas" \
                 --stringparam gtkdoc.version . \
                 /usr/share/pygobject/xsl/ref-html-style.xsl
./reference/pygoocanvas-ref.xml
I/O error : Attempt to load network entity
http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl
warning: failed to load external entity
"http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl"
compilation error: file /usr/share/pygobject/xsl/ref-html-style.xsl line 4
element import
xsl:import : unable to load
http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl
make[2]: *** [build_stamp] Error 5
make[2]: Leaving directory `/usr/src/redhat/BUILD/pygoocanvas-0.6.0/docs'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/pygoocanvas-0.6.0'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.92537 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.92537 (%build)
[limb@fawkes SPECS]$ 
Comment 5 Bernard Johnson 2007-05-04 12:26:33 EDT
(In reply to comment #4)
> I/O error : Attempt to load network entity
> http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl
> warning: failed to load external entity
> "http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl"
> compilation error: file /usr/share/pygobject/xsl/ref-html-style.xsl line 4
> element import
> xsl:import : unable to load
> http://docbook.sourceforge.net/release/xsl/current/html/chunk.xsl

Ok, yes this is the same error.  Let me see if I can round up a docbook expert
on how this is normally dealt with.
Comment 6 Gwyn Ciesla 2007-05-04 12:33:25 EDT
I thought it was very odd.  I can get to the chunk.xsl with a browser.  

Usually the answer to a "won't build without a network resource" question is
"adjust your distcc config". ;)

Hopefully we can get this cleared up.
Comment 7 Bernard Johnson 2007-05-04 17:46:26 EDT
Spec URL: http://symetrix.com/~bjohnson/projects/fedora/pygoocanvas.spec
SRPM URL: http://symetrix.com/~bjohnson/projects/fedora/pygoocanvas-0.6.0-2.src.rpm

* Fri May 04 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.6.0-2
- enable docbook build

This mock builds for me.
Comment 8 Gwyn Ciesla 2007-05-07 08:47:53 EDT
It does for me as well.  :)

More to come. . .
Comment 9 Gwyn Ciesla 2007-05-07 13:11:00 EDT
rpmlint clean.
Meets Package naming guidlines.
Good spec name.
Meets Packaging guidelines.
License OK.
Spec is legible American English.
Source matches md5.
Compiles on FC6/i386.  Mock, also.
BRs are OK.
Comment 10 Gwyn Ciesla 2007-05-07 13:31:54 EDT
No ldconfig necessary.
Not relocatable.
Creates no directories.
No dupes, good permissions.
Clean present and correct.
Macros make sense.
Code, not content.
No large docs.
Nothing in doc required at runtime.  (Should the html files be in doc?)
No headers or static libraries.
No pkgconfig.
No suffixed .so files.
No -devel, or .la files.
Not a GUI app.
No ownership conflicts.
install starts with rm -rf $RPM_BUILD_ROOT
Filenames UTF8.
Comment 11 Gwyn Ciesla 2007-05-07 13:34:14 EDT
All MUSTs complete.  All applicable SHOULDS that I can test are OK.
APPROVED.
Comment 12 Bernard Johnson 2007-05-07 13:58:02 EDT
New Package CVS Request
=======================
Package Name: pygoocanvas
Short Description:  GooCanvas python bindings
Owners: bjohnson@symetrix.com
Branches: FC-6
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.